Attribute VB_Name = "API"
Option Explicit
'******************************************************************************************************
'Funzione per ottenere lo stato del mouse e le dimensioni (width, height) dello schermo
Public Const SM_CXSCREEN = 0
Public Const SM_CYSCREEN = 1
Public Const SM_MOUSEPRESENT = 19

Public Declare Function abGetSystemMetrics Lib "user32" _
        Alias "GetSystemMetrics" (ByVal nIndex As Long) As Long


'******************************************************************************************************
'Funzione per ottenere il nome del computer
Declare Function GetComputerName Lib "kernel32.dll" _
        Alias "GetComputerNameA" (ByVal lpBuffer As String, nSize As Long) As Long


'******************************************************************************************************
'Funzione per ottenere il numero di millisecondi trascorsi dall'ultimo avvio di Windows
Declare Function GetTickCount Lib "kernel32.dll" () As Long


'******************************************************************************************************
'Funzione per ottenere il nome della directory in cui sono posti i file di Windows
Public Declare Function abGetWindowsDirectory Lib "kernel32" _
        Alias "GetWindowsDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long


'******************************************************************************************************
'Funzioni per ottenere il nome della directory in cui sono posti i file di sistema
Public Declare Function abGetSystemDirectory Lib "kernel32" _
        Alias "GetSystemDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long

Public Declare Function GetSystemDirectory Lib "kernel32" _
        (ByVal lpBuffer As String, ByVal nSize As Long) As Long


'******************************************************************************************************
'Funzione per ottenere il nome della directory in cui sono posti i file temporanei
Public Declare Function abGetTempPath Lib "kernel32" _
        Alias "GetTempPathA" (ByVal nBufferLength As Long, ByVal lpBuffer As String) As Long


'******************************************************************************************************
'Funzione per ottenere informazioni sulla versione del S.O. in uso
Type OSVERSIONINFO
    dwOSVersionInfoSize As Long
    dwMajorVersion As Long
    dwMinorVersion As Long
    dwBuildNumber As Long
    dwPlatformId As Long
    strReserved As String * 128
End Type

Public Declare Function abGetVersionEx Lib "kernel32" _
        Alias "GetVersionExA" (lpOSInfo As OSVERSIONINFO) As Boolean


'******************************************************************************************************
'Funzione per ottenere informazioni sulla disponibilit di memoria attuale
Type MEMORYSTATUS
    dwLength As Long
    dwMemoryLoad As Long
    dwTotalPhys As Long
    dwAvailPhys As Long
    dwTotalPageFile As Long
    dwAvailPageFile As Long
    dwTotalVirtual As Long
    dwAvailVirtual As Long
End Type

Declare Sub abGlobalMemoryStatus Lib "kernel32" _
        Alias "GlobalMemoryStatus" (lpBuffer As MEMORYSTATUS)


'******************************************************************************************************
'Function per ottenere informazioni varie sul sistema
Type SYSTEM_INFO
   dwOemID As Long
   dwPageSize As Long
   lpMinimumApplicationAddress As Long
   lpMaximumApplicationAddress As Long
   dwActiveProcessorMask As Long
   dwNumberOrfProcessors As Long
   dwProcessorType As Long
   dwAllocationGranularity As Long
   dwReserved As Long
End Type

Declare Sub abGetSystemInfo Lib "kernel32" _
       Alias "GetSystemInfo" (lpSystemInfo As SYSTEM_INFO)
