Attribute VB_Name = "SysInfo"
Option Compare Database
Option Explicit

Public Const MAX_PATH = 160
Dim strBuffer As String, intlen As Long

Public Type tUPTIME
    dd As Double
    hh As Double
    mm As Double
    ss As Double
End Type

Public Function GetAppDir()
    GetAppDir = Left(CurrentDb.name, Len(CurrentDb.name) - Len(Dir(CurrentDb.name)))
End Function
Public Function GetCompName()
    Dim name As String, RetVal As Long
    name = Space(255)
    RetVal = GetComputerName(name, 255)
    GetCompName = Left(name, InStr(name, vbNullChar) - 1)
End Function

Public Sub GetMemInfo(ms As MEMORYSTATUS)
    ms.dwLength = Len(ms)
    abGlobalMemoryStatus ms
End Sub

Public Function GetMouse()
    Dim RetVal As Boolean
    RetVal = CBool(abGetSystemMetrics(SM_MOUSEPRESENT))
    If RetVal Then
        GetMouse = "Yes"
    Else
        GetMouse = "No"
    End If
End Function

Public Function GetResolution() As String
    GetResolution = abGetSystemMetrics(SM_CXSCREEN) & " By " & abGetSystemMetrics(SM_CYSCREEN)
End Function

Public Function GetSystemDir()
    strBuffer = Space(MAX_PATH)
    intlen = abGetSystemDirectory(strBuffer, MAX_PATH)
    GetSystemDir = Left(strBuffer, intlen)
End Function

Public Sub GetSystemInfo(si As SYSTEM_INFO)
    abGetSystemInfo si
End Sub

Public Function GetTempDir()
    strBuffer = Space(MAX_PATH)
    intlen = abGetTempPath(MAX_PATH, strBuffer)
    GetTempDir = Left(strBuffer, intlen)
End Function

Public Sub GetUpTime(ut As tUPTIME)
    Dim ms As Double
    ms = GetTickCount()
    With ut
        .dd = Fix(ms / 86400000)
        .hh = Fix(ms / 3600000 - .dd * 24)
        .mm = Fix(ms / 60000 - .dd * 1440 - .hh * 60)
        .ss = Fix(ms / 1000 - .dd * 86400 - .hh * 3600 - .mm * 60)
    End With
End Sub

Public Function GetWinDir()
    strBuffer = Space(MAX_PATH)
    intlen = abGetWindowsDirectory(strBuffer, MAX_PATH)
    GetWinDir = Left(strBuffer, intlen)
End Function
